package se.pmws1213.diaballik.gui;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.wb.swt.SWTResourceManager;

public class DiaballikMainScreen {

	protected Shell gameShell;
	
	private Label f11;
	private Label f21;
	private Label f31;
	private Label f41;
	private Label f51;
	
	private Label f12;
	private Label f22;
	private Label f32;
	private Label f42;
	private Label f52;
	
	private Label f13;
	private Label f23;
	private Label f33;
	private Label f43;
	private Label f53;
	
	private Label f14;
	private Label f24;
	private Label f34;
	private Label f44;
	private Label f54;
	
	
	private Label f15;
	private Label f25;
	private Label f35;
	private Label f45;
	private Label f55;
	
	private Label lblInstruction;
	private Button btnSkip;
	private Label lblCurrentPlayer;
	private Label lblCurrentPlayerName;
	

	/**
	 * Launch the application.
	 * @param args
	 */
	public static void main(String[] args) {
		try {
			DiaballikMainScreen window = new DiaballikMainScreen();
			window.open();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	/**
	 * Open the window.
	 */
	public void open() {
		Display display = Display.getDefault();
		createContents();
		gameShell.open();
		gameShell.layout();
		while (!gameShell.isDisposed()) {
			if (!display.readAndDispatch()) {
				display.sleep();
			}
		}
	}

	/**
	 * Create contents of the window.
	 */
	public void createContents() {
		gameShell = new Shell();
		gameShell.setText("Diaballik");
		gameShell.setSize(720, 480);
		gameShell.setLayout(new FillLayout(SWT.HORIZONTAL));
		
		Composite cmpSurrounding = new Composite(gameShell, SWT.NONE);
		cmpSurrounding.setLayout(new GridLayout(3, false));

		Composite cmpField = new Composite(cmpSurrounding, SWT.NONE);
		cmpField.setBackground(SWTResourceManager.getColor(SWT.COLOR_WHITE));
		cmpField.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true, 1, 1));
		cmpField.setLayout(new GridLayout(15, false));
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f11 = new Label(cmpField, SWT.NONE);
		f11.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f21 = new Label(cmpField, SWT.NONE);
		f21.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f31 = new Label(cmpField, SWT.NONE);
		f31.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f41 = new Label(cmpField, SWT.NONE);
		f41.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f51 = new Label(cmpField, SWT.NONE);
		f51.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f12 = new Label(cmpField, SWT.NONE);
		f12.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f22 = new Label(cmpField, SWT.NONE);
		f22.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f32 = new Label(cmpField, SWT.NONE);
		f32.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f42 = new Label(cmpField, SWT.NONE);
		f42.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f52 = new Label(cmpField, SWT.NONE);
		f52.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f13 = new Label(cmpField, SWT.NONE);
		f13.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f23 = new Label(cmpField, SWT.NONE);
		f23.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f33 = new Label(cmpField, SWT.NONE);
		f33.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f43 = new Label(cmpField, SWT.NONE);
		f43.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f53 = new Label(cmpField, SWT.NONE);
		f53.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);

		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f14 = new Label(cmpField, SWT.NONE);
		Image img = SWTResourceManager.getImage(DiaballikMainScreen.class, "/img/converter.png");
		Image decoration = SWTResourceManager.getImage(DiaballikMainScreen.class, "/img/converterDecoration.png");
		f14.setImage(SWTResourceManager.decorateImage(img, decoration));
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f24 = new Label(cmpField, SWT.NONE);
		f24.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f34 = new Label(cmpField, SWT.NONE);
		f34.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f44 = new Label(cmpField, SWT.NONE);
		f44.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f54 = new Label(cmpField, SWT.NONE);
		f54.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f15 = new Label(cmpField, SWT.NONE);
		f15.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f25 = new Label(cmpField, SWT.NONE);
		f25.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f35 = new Label(cmpField, SWT.NONE);
		f35.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f45 = new Label(cmpField, SWT.NONE);
		f45.setText("New Label");
		new Label(cmpField, SWT.NONE);
		new Label(cmpField, SWT.NONE);
		
		f55 = new Label(cmpField, SWT.NONE);
		f55.setImage(SWTResourceManager.getImage(DiaballikMainScreen.class, "/img/fieldStartGreen.png"));
		
		Label label = new Label(cmpSurrounding, SWT.SEPARATOR | SWT.VERTICAL);
		label.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true, 1, 1));
		
		Composite cmpInfo = new Composite(cmpSurrounding, SWT.NONE);
		cmpInfo.setLayout(new GridLayout(2, false));
		cmpInfo.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true, 1, 1));
		new Label(cmpInfo, SWT.NONE);
		new Label(cmpInfo, SWT.NONE);
		
		lblCurrentPlayer = new Label(cmpInfo, SWT.CENTER);
		lblCurrentPlayer.setLayoutData(new GridData(SWT.CENTER, SWT.CENTER, false, false, 1, 1));
		lblCurrentPlayer.setFont(SWTResourceManager.getFont("Segoe UI", 16, SWT.NORMAL));
		lblCurrentPlayer.setText("Current player:");
		
		lblCurrentPlayerName = new Label(cmpInfo, SWT.CENTER);
		GridData gd_lblCurrentPlayerName = new GridData(SWT.CENTER, SWT.CENTER, false, false, 1, 1);
		gd_lblCurrentPlayerName.widthHint = 151;
		lblCurrentPlayerName.setLayoutData(gd_lblCurrentPlayerName);
		lblCurrentPlayerName.setFont(SWTResourceManager.getFont("Segoe UI", 16, SWT.NORMAL));
		lblCurrentPlayerName.setText("NoName");
		new Label(cmpInfo, SWT.NONE);
		new Label(cmpInfo, SWT.NONE);
		new Label(cmpInfo, SWT.NONE);
		new Label(cmpInfo, SWT.NONE);
		
		lblInstruction = new Label(cmpInfo, SWT.CENTER);
		GridData gd_lblInstruction = new GridData(SWT.CENTER, SWT.CENTER, false, false, 2, 1);
		gd_lblInstruction.widthHint = 214;
		lblInstruction.setLayoutData(gd_lblInstruction);
		lblInstruction.setFont(SWTResourceManager.getFont("Segoe UI", 11, SWT.NORMAL));
		lblInstruction.setText("no instruction..");
		new Label(cmpInfo, SWT.NONE);
		new Label(cmpInfo, SWT.NONE);
		new Label(cmpInfo, SWT.NONE);
		new Label(cmpInfo, SWT.NONE);
		new Label(cmpInfo, SWT.NONE);
		new Label(cmpInfo, SWT.NONE);
		new Label(cmpInfo, SWT.NONE);
		new Label(cmpInfo, SWT.NONE);
		new Label(cmpInfo, SWT.NONE);
		new Label(cmpInfo, SWT.NONE);
		new Label(cmpInfo, SWT.NONE);
		new Label(cmpInfo, SWT.NONE);
		
		btnSkip = new Button(cmpInfo, SWT.NONE);
		btnSkip.setFont(SWTResourceManager.getFont("Segoe UI", 16, SWT.NORMAL));
		GridData gd_btnSkip = new GridData(SWT.CENTER, SWT.CENTER, false, false, 2, 1);
		gd_btnSkip.heightHint = 45;
		gd_btnSkip.widthHint = 135;
		btnSkip.setLayoutData(gd_btnSkip);
		btnSkip.setText("Skip");
	}
	
	
	public Button getBtnSkip() {
		return btnSkip;
	}
	public Label getLblCurrentPlayer() {
		return lblCurrentPlayer;
	}
	public Label getLblInstruction() {
		return lblInstruction;
	}
	public Label getLblCurrentPlayerName() {
		return lblCurrentPlayerName;
	}
	public Shell getGameShell() {
		return gameShell;
	}
	public Label getF24() {
		return f24;
	}
	public Label getF31() {
		return f31;
	}
	public Label getF22() {
		return f22;
	}
	public Label getF43() {
		return f43;
	}
	public Label getF12() {
		return f12;
	}
	public Label getF25() {
		return f25;
	}
	public Label getF32() {
		return f32;
	}
	public Label getF35() {
		return f35;
	}
	public Label getF15() {
		return f15;
	}
	public Label getF21() {
		return f21;
	}
	public Label getF55() {
		return f55;
	}
	public Label getF42() {
		return f42;
	}
	public Label getF33() {
		return f33;
	}
	public Label getF45() {
		return f45;
	}
	public Label getF54() {
		return f54;
	}
	public Label getF44() {
		return f44;
	}
	public Label getF13() {
		return f13;
	}
	public Label getF53() {
		return f53;
	}
	public Label getF14() {
		return f14;
	}
	public Label getF34() {
		return f34;
	}
	public Label getF11() {
		return f11;
	}
	public Label getF52() {
		return f52;
	}
	public Label getF41() {
		return f41;
	}
	public Label getF51() {
		return f51;
	}
	public Label getF23() {
		return f23;
	}
}
